package utils

import "strings"

func StringToBool(strSlice []string) []bool {
	boolSlice := make([]bool, len(strSlice))
	for i, str := range strSlice {
		str = strings.ToLower(str)
		if str == "true" {
			boolSlice[i] = true
		} else if str == "false" {
			boolSlice[i] = false
		}
	}
	return boolSlice
}
